
Redmine - Defect #5475

Non conformances with W3C xhtml transitional standards

2010-05-08 18:52 - Alain Alain091

Status: Confirmed Start date: 2010-05-08

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 2.2.1

Description

I have made some verifications with W3C validator.

I found some erros like :

- input tag doesn't close with />

- checkboxes' groups could have the same id due the fact that id is build automaticaly from the name. As the name is an array, the id

is the same.

Mainly are erros in ROR

Is there a rule to apply for managing overridings of ROR method's

waiting official fixes.

Related issues:

Related to Redmine - Defect #15191: HTML 5 validation failures Closed

Related to Redmine - Defect #15381: Error pages improvement Closed

History

#1 - 2013-01-14 14:52 - Daniel Felix

- Category set to Code cleanup/refactoring

- Status changed from New to Confirmed

- Affected version (unused) changed from devel to 2.2.1

- Affected version set to 2.2.1

Hi,

I can confirm this defect. I tested several pages. Most errors are just small validation or deprecation warnings. Most documents pass the test and got

a validation.

Roadmap:

Warning Line 205, Column 63: The name attribute is obsolete. Consider putting an id attribute on the nearest container instead.

…  <h3 class="version"><a href="/versions/1" name="Version_1">Version 1</a></h3>

Issue (not valid!):

Error Line 291, Column 186: Attribute default not allowed on element img at this point.

…bc77a92c4ec63479b?rating=PG&size=50&default=mm" ssl="false" title="" />

Error Line 291, Column 186: Attribute rating not allowed on element img at this point.

…bc77a92c4ec63479b?rating=PG&size=50&default=mm" ssl="false" title="" />

Line 291, Column 186: Attribute ssl not allowed on element img at this point.

…bc77a92c4ec63479b?rating=PG&size=50&default=mm" ssl="false" title="" />

Line 309, Column 5: A table row was 2 columns wide, which is less than the column count established by the first row (4).

</tr>

Error Line 581, Column 98: Any input descendant of a label element with a for attribute must have an ID value that matches that for attribute.

…vate_notes]" type="hidden" value="0" /><input id="issue_private_notes" name="i…

Line 581, Column 186: The label element may contain at most one input, button, select, textarea, or keygen descendant.

…="issue[private_notes]" type="checkbox" value="1" /> Privater Kommentar</label>
Line 581, Column 37: label element with multiple labelable descendants.

<label for="issue_private_notes"><input name="issue[private_notes]" type="h…

#2 - 2013-10-18 11:09 - Ksenia Altbregen

wiki/Guide:

Error Line 142, Column 10: No p element in scope but a p end tag seen.

</ul></p>

Error Line 179, Column 10: No p element in scope but a p end tag seen.

</ul></p>

Error Line 247, Column 10: No p element in scope but a p end tag seen.

</ul></p>

Error Line 294, Column 10: No p element in scope but a p end tag seen.

</ul></p>

wiki/FAQ:

Error Line 171, Column 42: Bad character after <. Probable cause: Unescaped <. Try escaping it as <.

…>There's a bug in ruby/mysql adapter < 2.7.3 that leads to lose the database c…

Error Line 320, Column 157: No p element in scope but a p end tag seen.

… problems encountered during the svn operation. (e.g. /log/production.log )</p>

Error Line 401, Column 12: Bad character after <. Probable cause: Unescaped <. Try escaping it as <.

<p>Rails < 2.1 built-in time zone implementation doesn't handle DST. You have …

Error Line 444, Column 132: The acronym element is obsolete. Use the abbr element instead.

…SHA1\(salt + <acronym title="password">SHA1</acronym>)'<br />So you can reset …

wiki/Theme_List:

Error Line 510, Column 123: End tag em violates nesting rules.

…ishnan.cc/devel/screenshots/redmine-theme/" class="external">here</em></a></li>

Error Line 510, Column 127: No a element in scope but a a end tag seen.

…ishnan.cc/devel/screenshots/redmine-theme/" class="external">here</em></a></li>

Error Line 532, Column 123: End tag em violates nesting rules.

…ishnan.cc/devel/screenshots/redmine-theme/" class="external">here</em></a></li>

Error Line 532, Column 127: No a element in scope but a a end tag seen.

…ishnan.cc/devel/screenshots/redmine-theme/" class="external">here</em></a></li>

Error Line 554, Column 123: End tag em violates nesting rules.

…ishnan.cc/devel/screenshots/redmine-theme/" class="external">here</em></a></li>

Error Line 554, Column 127: No a element in scope but a a end tag seen.

…ishnan.cc/devel/screenshots/redmine-theme/" class="external">here</em></a></li>

Error Line 576, Column 123: End tag em violates nesting rules.

…ishnan.cc/devel/screenshots/redmine-theme/" class="external">here</em></a></li>

Error Line 576, Column 127: No a element in scope but a a end tag seen.

…ishnan.cc/devel/screenshots/redmine-theme/" class="external">here</em></a></li>

Error Line 598, Column 123: End tag em violates nesting rules.

…ishnan.cc/devel/screenshots/redmine-theme/" class="external">here</em></a></li>

Error Line 598, Column 127: No a element in scope but a a end tag seen.

…ishnan.cc/devel/screenshots/redmine-theme/" class="external">here</em></a></li>

Error Line 620, Column 123: End tag em violates nesting rules.

…ishnan.cc/devel/screenshots/redmine-theme/" class="external">here</em></a></li>

Error Line 620, Column 127: No a element in scope but a a end tag seen.

…ishnan.cc/devel/screenshots/redmine-theme/" class="external">here</em></a></li>

Error Line 934, Column 76: Bad character < after <. Probable cause: Unescaped <. Try escaping it as <.

…entry in Redmine syntax (where << and >> are used as…

Error Line 934, Column 77: Bad character < after <. Probable cause: Unescaped <. Try escaping it as <.
…ntry in Redmine syntax (where << and >> are used as …

Error Line 954, Column 232: The acronym element is obsolete. Use the abbr element instead.

…in "Source Code Management"">SCM</acronym> system for the theme (if …

Error Line 955, Column 141: The acronym element is obsolete. Use the abbr element instead.

… in "Issue Tracking System"">ITS</acronym> for the theme (if it exis…

wiki/Changelog:

Error Line 168, Column 285: The acronym element is obsolete. Use the abbr element instead.

…stom field in date format with <acronym title="empty">NULL</acronym> value</li>

Error Line 217, Column 225: Bad value http://www. generates for attribute href on element a: Whitespace in host component. Use %20 in place of

spaces.

…external" href="http://www. generates">www. generates</a> broken link in forma…

plugins:

Error Line 133, Column 26: No space between attributes.

<td class="thumbnail"%>

Error Line 133, Column 27: Attribute % not allowed on element td at this point.

<td class="thumbnail"%>

Error Line 143, Column 26: No space between attributes.

<td class="thumbnail"%>

Error Line 143, Column 27: Attribute % not allowed on element td at this point.

<td class="thumbnail"%>

Error Line 144, Column 113: Bad value 100px for attribute height on element img: Expected a digit but saw p instead.

…in_thumbnail" height="100px" src="/attachments/download/10623" width="100px" />

Error Line 144, Column 113: Bad value 100px for attribute width on element img: Expected a digit but saw p instead.

…in_thumbnail" height="100px" src="/attachments/download/10623" width="100px" />

Error Line 156, Column 26: No space between attributes.

<td class="thumbnail"%>

Error Line 156, Column 27: Attribute % not allowed on element td at this point.

<td class="thumbnail"%>

Error Line 157, Column 113: Bad value 100px for attribute height on element img: Expected a digit but saw p instead.

…in_thumbnail" height="100px" src="/attachments/download/10620" width="100px" />

Error Line 157, Column 113: Bad value 100px for attribute width on element img: Expected a digit but saw p instead.

…in_thumbnail" height="100px" src="/attachments/download/10620" width="100px" />

Error Line 169, Column 26: No space between attributes.

<td class="thumbnail"%>

Error Line 169, Column 27: Attribute % not allowed on element td at this point.

<td class="thumbnail"%>

Error Line 170, Column 113: Bad value 100px for attribute height on element img: Expected a digit but saw p instead.

…in_thumbnail" height="100px" src="/attachments/download/10615" width="100px" />

Error Line 170, Column 113: Bad value 100px for attribute width on element img: Expected a digit but saw p instead.

…in_thumbnail" height="100px" src="/attachments/download/10615" width="100px" />

Error Line 185, Column 26: No space between attributes.

<td class="thumbnail"%>

Error Line 185, Column 27: Attribute % not allowed on element td at this point.

<td class="thumbnail"%>

#3 - 2013-10-25 10:24 - Etienne Massip

- Related to Defect #15191: HTML 5 validation failures added

#4 - 2013-11-14 09:44 - Ksenia Altbregen

Some of wiki html validation errors come from redcloth3.
There is function blocks( text, deep_code = false ) in lib/redcloth.rb. (It parses wiki content into html blocks.)

Each paragraph is placed into <p></p> tag. (So we have <p>some_paragraph</p>.)

All is well unless the paragraph contains macros. (<p>some_text{{some_macros}}some_text</p>)

In some cases the content of the paragraph after execution of all macroses will be too long. (<p>some_text some_html(could be in more than one

paragraph) some_text</p>)

Then the browser autocompletes the opening <p> tag. (Now we have <p></p>several_paragraphs</p>.)

The closing tag </p> leads to validation error.

I've tried to change the line

blk = "\t<p>#{ blk }</p>"

into

blk = "\t<div>#{ blk }</div>"

but the browser drawing of <div> tags content is different from <p> tags.    

Then I've added class "paragraph_like":

blk = "\t<div class=\"paragraph_like\">#{ blk }</div>"

and added CSS in public/stylesheets/application.css

.wiki div.paragraph_like {margin: 12px 0px 12px 0px;}

And it looked almost like <p> tags.    

Is such solution acceptable?

#5 - 2013-11-18 11:58 - Mischa The Evil

- Related to Defect #15381: Error pages improvement added
